Security Experts:

Hackers Scanning for VMware vCenter Servers Affected by Critical Vulnerability

Just one day after VMware announced the availability of patches for a critical vulnerability affecting vCenter Server, hackers have started scanning the internet for vulnerable servers.

The flaw, tracked as CVE-2021-21972, affects the vSphere Client component of vCenter Server and it can be exploited by a remote, unauthenticated attacker to execute arbitrary commands with elevated privileges on the operating system that hosts vCenter Server.

While in most cases an attacker would need to have access to the targeted organization’s network in order to exploit the vulnerability, there are over 6,000 potentially vulnerable systems that are accessible directly from the internet.

Many of these servers are located in the United States, Germany, China, France and the United Kingdom.

Cybersecurity firm Positive Technologies, whose researchers discovered the flaw and reported it to VMware, has released technical details for the vulnerability after seeing that several individuals had released proof-of-concept (PoC) exploit code shortly after the virtualization giant announced the availability of patches.

VMware published its advisory on February 23, and threat intelligence company Bad Packets reported on February 24 that it had already detected “mass scanning activity” targeting vCenter servers affected by CVE-2021-21972.

Mikhail Klyuchnikov, the Positive Technologies researcher credited for finding the vulnerability, said this flaw is just as dangerous as a widely exploited Citrix vulnerability tracked as CVE-2019-19781.

“If the vulnerable software can be accessed from the Internet, this will allow an external attacker to penetrate the company's external perimeter and also gain access to sensitive data,” he explained.

Related: BIG-IP Vulnerability Exploited to Deliver DDoS Malware

Related: Hackers Scanning for Apache Tomcat Servers Vulnerable to Ghostcat Attacks

Related: Scanning Activity Detected After Release of Exploit for Critical SAP SolMan Flaw

view counter
Eduard Kovacs (@EduardKovacs) is a contributing editor at SecurityWeek. He worked as a high school IT teacher for two years before starting a career in journalism as Softpedia’s security news reporter. Eduard holds a bachelor’s degree in industrial informatics and a master’s degree in computer techniques applied in electrical engineering.